﻿using System.Collections.Generic;
using CodeParser.Tokens;

namespace CodeParser.Expressions
{
    public class ArgumentList
        : Expression
    {

        public ArgumentList()
        {
            Arguments = new List<Expression>();
        }

        public Token OpenBracket { get; internal set; }
        public Token CloseBracket { get; internal set; }
        public List<Expression> Arguments { get; private set; }

    }
}

