﻿using CodeParser.Tokens;

namespace CodeParser.Expressions
{
    public class SingleToken
        : Expression
    {

        public SingleToken()
        {
            TokenLength = 1;
        }

        private Token _token;

        public Token Token
        {
            get { return _token; }
            set
            {
                _token = value;
                StringIndex = _token.Index;
                StringLength = _token.Value.Length;
            }
        }

    }
}
