﻿using System.Collections.Generic;
using CodeParser.Tokens;

namespace CodeParser.Expressions
{
    /// <summary>
    /// A sequence of tokens that none of the configured expressionparsers could handle.
    /// </summary>
    public class TokenChain
        : Expression
    {

        public TokenChain()
        {
            Tokens = new List<Token>();
        }

        public List<Token> Tokens { get; set; }

    }
}
