﻿using System.Collections.Generic;
using ICSharpCode.AvalonEdit.CodeCompletion;
using ICSharpCode.AvalonEdit.Document;

namespace EffectEd.HlslEditor
{
    public class CodeCompletionSettings
    {

        /// <summary>
        /// optional segment that should be included in the progressive search: eg. part of an identifier that's already typed before code completion was started
        /// </summary>
        public ISegment IdentifierSegment { get; set; }

        public IEnumerable<ICompletionData> CompletionData { get; set; }

    }
}
