﻿using System.Windows;
using DirectXMetaData;
using HlslCompiler;

namespace EffectEd
{
    /// <summary>
    /// Interaction logic for CompilerSettingsDialog.xaml
    /// </summary>
    public partial class CompilerSettingsDialog : Window
    {
        public CompilerSettingsDialog()
        {
            InitializeComponent();
        }

        public void Initialize(CodeAssistance codeAssistance)
        {
            compilerSettingsControl1.Initialize(codeAssistance);
        }

        public void SetCompilerSettings(CompilerSettings compilerSettings)
        {
            compilerSettingsControl1.SetCompilerSettings(compilerSettings);
        }

        public CompilerSettings GetCompilerSettings()
        {
            return compilerSettingsControl1.GetCompilerSettings();
        }

        private void Button_Click(object sender, RoutedEventArgs e)
        {
            DialogResult = true;
        }

        private void Button_Click_1(object sender, RoutedEventArgs e)
        {
            DialogResult = false;
        }

    }
}
