﻿using System.Windows;
using Common;
using HlslCompiler;

namespace EffectEd
{
    public class Settings
        : SavableObject<Settings>
    {

        public bool AlwaysSaveOnClose { get; set; }
        public bool ShowLineNumbers { get; set; }

        public CompilerSettings DefaultCompilerSettings { get; set; }

        // Window state
        public int WindowWidth { get; set; }
        public int WindowHeight { get; set; }
        public WindowState WindowState { get; set; }

        public Settings Clone()
        {
            return new Settings()
                       {AlwaysSaveOnClose = AlwaysSaveOnClose, DefaultCompilerSettings = DefaultCompilerSettings.Clone()};
        }

    }
}
