﻿namespace CodeParser.Tokens
{
    public abstract class TokenParser
    {

        protected TokenParser()
        {
        }

        protected TokenParser(TokenType type)
        {
            Type = type;
        }

        public abstract Token GetTokenAt(string source, int index);

        public TokenType? Type { get; private set; }

        public bool RemoveTokens { get; set; }
        
    }
}
